<?php
function sdk_suppression_accents($chaine) {
// suppression de tous les caractres accentus
	$recherche = array('','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','');
    $remplace = array('A','A','A','A','A','A','C','E','E','E','E','I','I','I','I','O','O','O','O','O','U','U','U','U','Y','a','a','a','a','a','a','c','e','e','e','e','i','i','i','i','o','o','o','o','o','o','u','u','u','u','y','y');
	$decode = trim(strtolower(str_replace($recherche, $remplace, $chaine)));
	
	return $decode;
}

function sdk_suppression_mots($chaine) {
//suppression des mots inutiles
	$recherche = array('\"',":","!","?",".","quelle ","quel ","le ","les ", "la ","du ","de ","d\'","l\'","dans ", "est ", "comment ","verification ","verifier ","verifie " );
	$remplace = array("","","","","","","","","","","","","","","","","","","");
	
	$decode = trim(str_replace($recherche, $remplace, $chaine));
	return $decode;
}
	
function sdk_synonymes($chaine) {

// suppression des mots non utiles
	$chaine = sdk_suppression_mots($chaine);

//remplacements des "synonymes"
	$recherche = array("rallumer","rallume","allumer","allume","remonter","monter","remonte","monte","lever","leve","ouvrir","ouvre");
	$remplace = array("on","on","on","on","on","on","on","on","on","on","on","on");
	$decode = trim(str_replace($recherche, $remplace, $chaine));
	
	$recherche = array("eteindre","eteint","descendre","descend","baisser","baisse","fermer","ferme");
	$remplace = array("off","off","off","off","off","off","off","off");
	$decode = trim(str_replace($recherche, $remplace, $chaine));
	
	$recherche = array("consommation","electrique");
	$remplace = array("conso","elec");
	$decode = trim(str_replace($recherche, $remplace, $chaine));
	
	$recherche = array("salut","hello");
	$remplace = array("bonjour","bonjour");
	$decode = trim(str_replace($recherche, $remplace, $chaine));

	return $decode;
}
   
//Id de l'tat virtuel contenant la liste des numros autoriss (Commandes Externes Sources)
$phone_id = 111111;

//Id de l'tat virtuel contenant les actions autorises (Commandes Externes)
$action_id = 222222;

//Id de l'tat virtuel contenant les messages reus et communiqus  la box (Messages)
// est utile pour le deboguage et peut tre supprim par la suite
$log_message_id = 333333;

//rcupration du numro de tlphone pass en paramtres
$phone = trim(utf8_decode(getArg('phone')));
$phone = substr($phone,1,strlen($phone)-1);

//rcupration du message envoy en SMS (on dcode les accents)
$action = trim(strtolower(utf8_decode(getArg('text')))); 
$action = sdk_suppression_accents($action);

// gestion des synonymes 
$action = sdk_synonymes($action);

//on teste si le numro est autoris  envoyer des SMS  la box
$json_result = setValue($phone_id, $phone, true);
$pos = strpos($json_result, '"success":1');


if ($pos !== false) {  // il est autoris
	echo "Tlephone <b>[$phone]</b> a t retrouv son code API est <b>[$phone_id]</b><br>";
	echo "<br>";
	echo "Pour info, le rsultat de la demande est <i>[$json_result]</i><br>";
	echo 'la commande est : '.$action.'<br>'.getArg('text').'<br>';
	//phone=nnn&smscenter=mmm&text=ttt

	//on communique le corps du message SMS
	$json_result = setValue($action_id, $action, true);
	$pos = strpos($json_result, '"success":1');

	if ($pos !== false) {  // le message fait partie des messages autoriss
		echo "L'action <b>[$action]</b> a t demande pour votre priphrique dont le code API est <b>[$action_id]</b><br>";
		echo "<br>";
		echo "Pour info, le rsultat de la demande est <i>[$json_result]</i>";
		$json_result = setValue($log_message_id, $phone.'OK : A OK '.$action.'_'.$json_result ,false );
	} else {
		echo "Action inconnue:";
		echo "Pour info, le rsultat de la demande est <i>[$json_result]</i>";
		
		//on historise le message reu
		$json_result = setValue($log_message_id, $phone.'OK : A NOK '.$action.'_'.$json_result ,false );
		
		$action = "erreur";
		$json_result = setValue($action_id, $action,true );
	}
	
} else {
	echo "Tlphone inconnu <br>";
	echo "Pour info, le rsultat de la demande est <i>[$json_result]</i><br>";
	
	//on historise le message reu
	$json_result = setValue($log_message_id, $phone.' NOK: '.$action.'_'.$json_result ,false );
	
}


?>